/* 
 This CSS file is used to override the existing styles of the theme.
 You can change the article headings, fonts, colors, etc.
*/
.feature-card{
    background:white;
    text-align:center;
    padding:40px 25px;
    height:100%;
}

#feature-slider .splide__slide{
    padding:10px;
}
/*Navbar*/
nav a {
    color: white !important;
}

/*Background*/
body {
    background: linear-gradient(
        180deg,
        #774089 0%,
        #DA626D 100%
    );
}

/*LANDING PAGE*/
.splide__slide {
    width: 100%;
    height: 50vh;      /* 50 % der Bildschirmhöhe */
    object-fit: cover; /* Bild füllt den Bereich ohne Verzerrung */
}

.product-headline {
    color: white;
}

/*product-card*/
.product-card {
    background: white;
}

/*MIETERSTROM PAGE*/
.mieterstrom-page h1 {
  color: white !important;
}

.mieterstrom-page nav a {
    color: white !important;
}

.product-showcase {
  position: relative;
  width: 100%;
  height: 100vh;
}

.svg-wrapper {
  width: 100%;
  height: 100%;
}

.product-svg {
  width: 100%;
  height: 100%;
}

.hotspot-circle {
  fill: black;
  cursor: pointer;
}

.info-panel {
  position: absolute;
  top: 40px;
  right: 40px;
  width: 300px;

  background: white;
  padding: 20px;
  border-radius: 12px;
}

.mieterstrom-container {
    display: flex;
    gap: 2rem;
    align-items: center;
}

.mieterstrom-graphic {
    flex: 2;
    position: relative;
}

.mieterstrom-graphic svg {
    width: 100%;
    height: auto;
    display: block;
}

.mieterstrom-info {
    flex: 1;
}

/* Stationen */
.station {
    position: absolute;
    inset: 0;

    width: 100%;
    height: 100%;
    pointer-events: none;

    transition:
        opacity .2s ease,
        transform .2s ease,
        filter .2s ease;
}

.station.active {
    opacity: 1;

    transform: scale(1.03);

    filter:
        drop-shadow(0 0 10px rgba(0, 0, 0, 0.4))
        drop-shadow(0 0 25px rgba(0, 0, 0, 0.2));
}

/*Infocards*/
.mieterstrom-info {
    flex: 1;
    background: white;
    padding: 2rem;
    border-radius: 6px;
     box-shadow:
        0 10px 30px rgba(0,0,0,.08);
    max-width: 500px;
   
    display: flex;
    flex-direction: column;

    gap: 1rem;
}

#info-image {
    width: 100%;
     border-radius: 4px;

    margin-bottom: 1.5rem;

    display: block;
    
}

#info-title {
    font-size: 2rem;
    font-weight: 700;
    line-height: 1.15;

    margin: 0;
}

#info-subtitle {
    font-size: 1.2rem;
    font-weight: 600;

    color: #8b8b8b;

    margin: 0;
}

#info-text {
    font-size: 1.1rem;
    line-height: 1.7;

    margin: 0;
}

/* Hotspots */
.hotspot {
    position: absolute;

    cursor: pointer;

    /* Zum Testen sichtbar */
    background: transparent;
}
.hotspot1 {
    top: 78%;
    left: 32%;

    width: 10%;
    height: 10%;
}
.hotspot2 {
    top: 18%;
    left: 42%;

    width: 10%;
    height: 10%;
}
.hotspot3 {
    top: 36%;
    left: 50%;

    width: 8%;
    height: 8%;
}
.hotspot4 {
    top: 78%;
    left: 52%;

    width: 10%;
    height: 10%;
}
.hotspot5 {
    top: 18%;
    left: 69%;

    width: 28%;
    height: 22%;
}
.hotspot6 {
    top: 42%;
    left: 72%;

    width: 23%;
    height: 18%;
}
.hotspot7 {
    top: 63%;
    left: 72%;

    width: 23%;
    height: 18%;
}